=== debian/changelog ===
ros-humble-clearpath-generator-common (0.1.1-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.1.0-1jammy) jammy; urgency=high

  * Removed joy_teleop namespace, remap topics to that namespace instead
  * Added fenders for J100
  * Renamed UST10 to UST
    Added parameter node list
  * Removed disk import
  * Added disk and post
    Set default values to model dictionaries
  * Inverted and upright sick stand
  * Added UM6/7
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.9-1jammy) jammy; urgency=high

  * Added Garmin 18x, Novatel smart 6 and 7
  * Update platform nodes from extra ros parameters
    Flattened default parameter files
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.8-1jammy) jammy; urgency=high

  * Linting
  * use_sim_time support
  * Description and Bash generator cleanup
  * Minor cleanup
  * Param generator
  * Launch generator cleanup
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.7-1jammy) jammy; urgency=high

  * Renamed description to attachments
  * Rnamed accessories to links
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.6-1jammy) jammy; urgency=high

  * Merge pull request #18 <https://github.com/clearpathrobotics/clearpath_common/issues/18> from clearpathrobotics/updated-config
    Updated common generators to match config
  * Fixed getters
  * Updated common generators to match config
  * Contributors: Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.5-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.3-1jammy) jammy; urgency=high

  * Linters
  * Updated localization configs
  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.2-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-humble-clearpath-generator-common (0.0.1-1jammy) jammy; urgency=high

  * Updated launch writer make writing different object types easier
    Localization parameter fixes
    Updated gazebo wheel friction
  * Added namespacing support
  * Updated dependencies
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000
