## ros-humble-clearpath-generator-common 0.2.9

=== debian/changelog ===
ros-humble-clearpath-generator-common (0.2.9-1bookworm) bookworm; urgency=high

  * Modified common parameter generation to always flatten
  * Added Zed to description generator
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Linting
  * Generator linting erros
  * Added tests
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.8-1bookworm) bookworm; urgency=high

  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.7-1bookworm) bookworm; urgency=high

  * ARM_MOUNT to ARM_PLATE
  * Added simple package writer to copy package from template
  * Check terminal to set ROS_SUPER_CLIENT
  * Generate script to start the discovery server
  * Updated setup.bash generation for discovery server
  * Contributors: Hilary Luo, Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.5-1bookworm) bookworm; urgency=high

  * switch finding meshes to use the package:// command
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.4-1bookworm) bookworm; urgency=high

  * [clearpath_generator_common] Added package description.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.3-1bookworm) bookworm; urgency=high

  * Handle file paths with no directory (files in root directory of the package)
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.2-1bookworm) bookworm; urgency=high

  * Enable extras urdf and meshes to be linked by package (#53 <https://github.com/clearpathrobotics/clearpath_common/issues/53>)
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 20 Dec 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.2.0-1bookworm) bookworm; urgency=high

  * Added wheel parameters to all robot
  * Wheel is now parameter
  * Adds Blackfly camera to sensor description (#33 <https://github.com/clearpathrobotics/clearpath_common/issues/33>)
    * Adds Blackfly camera to sensor description
    ---------
    Co-authored-by: fazzrazz <mailto:danielduranrojas@gmail.com>
  * Removed print in platform description generator
  * Add imu0 to ekf_node for all platforms except A200
  * Added W200 attachments to generator
  * Platform no longer required
  * Added  to materials
  * Removed unecessary SimpleDescription
  * Attachments not restricted by platform
  * Simplified attachment generation
  * Removed debug print
  * Removed gazebo include from generator
  * Read control.yaml directly from clearpath config specified file
  * Allow for no macro to be added
  * Moved gazebo controller to common
  * Added Generic platform
  * Contributors: Hilary Luo, Luis Camero, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 07 Dec 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.1.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.1.2-1bookworm) bookworm; urgency=high

  * Adds Blackfly camera to sensor description (#33 <https://github.com/clearpathrobotics/clearpath_common/issues/33>)
    * Adds Blackfly camera to sensor description
    ---------
    Co-authored-by: fazzrazz <mailto:danielduranrojas@gmail.com>
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.1.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 24 Aug 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.1.0-1bookworm) bookworm; urgency=high

  * Removed joy_teleop namespace, remap topics to that namespace instead
  * Added fenders for J100
  * Renamed UST10 to UST
    Added parameter node list
  * Removed disk import
  * Added disk and post
    Set default values to model dictionaries
  * Inverted and upright sick stand
  * Added UM6/7
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.0.9-1bookworm) bookworm; urgency=high

  * Added Garmin 18x, Novatel smart 6 and 7
  * Update platform nodes from extra ros parameters
    Flattened default parameter files
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.0.8-1bookworm) bookworm; urgency=high

  * Linting
  * use_sim_time support
  * Description and Bash generator cleanup
  * Minor cleanup
  * Param generator
  * Launch generator cleanup
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.0.7-1bookworm) bookworm; urgency=high

  * Renamed description to attachments
  * Rnamed accessories to links
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 18 Jul 2023 16:00:00 -0000

ros-humble-clearpath-generator-common (0.0.6-1bookworm) bookworm; urgency=high


