=== debian/control ===
Source: ros-humble-clearpath-generator-common
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-pytest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-moveit-setup-srdf-plugins, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-generator-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-config, ros-humble-clearpath-control, ros-humble-clearpath-description, ros-humble-clearpath-manipulators, ros-humble-clearpath-platform, ros-humble-ros-workspace
Description: Clearpath Common Generator
